Bug 661998 - /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora: Too many levels of symbolic links
Summary: /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora: Too many levels of symbolic l...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 540
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Ondrej Cienciala
URL:
Whiteboard:
Depends On:
Blocks: sat550-lowbug
TreeView+ depends on / blocked
 
Reported: 2010-12-10 09:49 UTC by Jan Hutař
Modified: 2014-06-18 07:01 UTC (History)
3 users (show)

Fixed In Version: osad-5.9.47-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 09:33:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2010-12-10 09:49:58 UTC
Description of problem:
I have noticed that this config file is strange link


Version-Release number of selected component (if applicable):
osa-dispatcher-5.9.46-1.el5


How reproducible:
always


Steps to Reproduce:
1. # ls -al /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora
2. # cat /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora


Actual results:
# ls -al /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora
lrwxrwxrwx 1 root root 12 Dec  9 04:04 /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora -> tnsnames.ora
# cat /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora
cat: /etc/rhn/tns_admin/osa-dispatcher/tnsnames.ora: Too many levels of symbolic links


Expected results:
File should be readable


Additional info:
Maybe this is intentional, but definitely strange. Could you please advise?

Comment 2 Michael Mráka 2010-12-10 13:15:08 UTC
There were two different issues - a bug in makefile which created looping symlink and the link itself which can be safely removed.

Fixed in spacewalk git by
commit 3ca33e37786acccd57a67c64b3100da1767e44f5
    661998 - removed looping symlink    
    oracle instantclient falls back to /etc/tnsnames.ora if $TNS_NAMES is missing
commit 8767f0a7f4497ff1154b2c7da3aa5e5c0282a6e3
    fixed symlink creation

Comment 6 Clifford Perry 2012-09-21 09:33:58 UTC
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite


Note You need to log in before you can comment on or make changes to this bug.